<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Sample HTML</title>
    </head>
    <body>
        <div>
            <h1>Welcome <em>Home</em></h1>
            <p>
                He pressed <kbd>ENTER</kbd> and <strong>all</strong>
                text went into
                <abbr title="an inaccessible place">limbo</abbr>.
            </p>
        </div>

        <div>
            <h1>Words on one line</h1>
            <p>Browsers automatically add some space (margin) before and after each <code>&lt;p></code> element</p>
        </div>
        <div>
            <h1>Words on each line</h1>
            <p>
                Browsers
                automatically
                add
                some
                space
                (margin)
                before
                and
                after
                each
                <code>&lt;p></code>
                element
            </p>
        </div>

        <div>
            <h1>Some JavaScript Code</h1>
            <pre>
                (function() {
                    'use strict'
                    const menuIcon         = document.querySelector('.menu-icon');
                    const sidebarCloseIcon = document.querySelector('.sidebar-close-icon');
                    const sidebar          = document.querySelector('.sidebar');
                    //...
                    document.querySelector('body').addEventListener('click', (ev) => {
                        const main = document.querySelector('main');
                        if (sidebar.classList.contains('active')
                            && ev.target == main) 
                        {
                            sidebar
                                .classList
                                .toggle('active');
                        }
                    });
                }());             
                </pre>
        </div>
        <div>
            <h1>Using P instead of PRE</h1>
            <p>
                (function() {
                'use strict'
                const menuIcon = document.querySelector('.menu-icon');
                const sidebarCloseIcon = document.querySelector('.sidebar-close-icon');
                const sidebar = document.querySelector('.sidebar');
                //...
                document.querySelector('body').addEventListener('click', (ev) => {
                const main = document.querySelector('main');
                if (sidebar.classList.contains('active')
                && ev.target == main)
                {
                sidebar
                .classList
                .toggle('active');
                }
                });
                }());
            </p>
        </div>

        <div>
            <h1>Presentational Tags</h1>
            <ul>
                <li>
                    <b>Bold Text</b>
                </li>
                <li>
                    <i>Italic Text</i>
                </li>
                <li>
                    <u>Underlined Text</u>
                </li>
                <li>
                    <s>Striked Out Text</s>
                </li>
                <li>
                    <font size=5 color=red face=Arial>Font Altered Text</font>
                </li>
            </ul>
        </div>

        <div>
            <h1>This is heading &lt;h1></h1>
            <h2>This is heading &lt;h2></h2>
            <h3>This is heading &lt;h3></h3>
            <h4>This is heading &lt;h4></h4>
            <h5>This is heading &lt;h5></h5>
            <h6>This is heading &lt;h6></h6>
        </div>

        <div>
            <h1>A bunch of text</h1>
            <p>This is the first paragraph.</p>
            <p>Here comes the next paragraph!</p>
            <p>
                Finally, the the third paragraph.
                This one is just here for the good measure.
            </p>
        </div>

        <div>
            <h1>Bullet List</h1>
            <ul>
                <li>One</li>
                <li>Two</li>
                <li>Three</li>
            </ul>
            <h1>Number List</h1>
            <ol>
                <li>One</li>
                <li>Two</li>
                <li>Three</li>
            </ol>
            <h1>Definition List</h1>
            <dl>
                <dt>One</dt> <dd>This one comes first</dd>
                <dt>Two</dt> <dd>This is the middle one</dd>
                <dt>Three</dt> <dd>Finally, the last one</dd>
            </dl>
        </div>


    </body>
</html>